com.smartgwt.client.types

## Enum DefaultSampleRecord

- java.lang.Object
- - java.lang.Enum<DefaultSampleRecord>
  - - com.smartgwt.client.types.DefaultSampleRecord

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DefaultSampleRecord>

      public enum DefaultSampleRecord
      extends java.lang.Enum<DefaultSampleRecord>
      implements ValueEnum

  Some interfaces, for example the `FieldPicker` and `HiliteEditor` widgets, can use data from an associated DataBoundComponent to express live sample values at runtime.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST` Uses the first record in the DataBoundComponent as sample data
    `FIRSTOPENLEAF` Uses the first open leaf-node in the DataBoundComponent as sample data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DefaultSampleRecord` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DefaultSampleRecord[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final DefaultSampleRecord FIRST

      Uses the first record in the DataBoundComponent as sample data

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "first".

    - #### FIRSTOPENLEAF

          public static final DefaultSampleRecord FIRSTOPENLEAF

      Uses the first open leaf-node in the DataBoundComponent as sample data

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "firstOpenLeaf".

  - ### Method Detail

    - #### values

          public static DefaultSampleRecord[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultSampleRecord c : DefaultSampleRecord.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultSampleRecord valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`